<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- P. Kilpelinen 2000 - 2005 -->
<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="article">
  <HTML><HEAD><TITLE><xsl:value-of select="title" /></TITLE>
   </HEAD>
   <BODY>
	<xsl:apply-templates/>
   </BODY> 
   </HTML>
</xsl:template>

<!-- Different titles: -->

<xsl:template match="article/title">
 <H1><xsl:apply-templates /></H1>
</xsl:template>

<xsl:template match="chapter/title">
  <H2>
   <xsl:number count="chapter" format="1 " />
   <!-- article.dtd tells that chapters are siblings of each
	other, thus the default single-level numbering is OK. -->
   <xsl:apply-templates /></H2>
</xsl:template>

<xsl:template match="section/title">
  <H3><xsl:number level="multiple"
                  count="chapter | section"
                  format="1.1 "/>
  <xsl:apply-templates /></H3>
</xsl:template>

<xsl:template match="subsection/title">
  <H4><xsl:number level="multiple"
                  count="chapter|section|subsection"
                  format="1.1 "/>
     <xsl:apply-templates /></H4>
</xsl:template>

<xsl:template match="para">
	 <P><xsl:apply-templates /></P>
</xsl:template>

<xsl:template match="emph">
	 <EM><xsl:apply-templates /></EM>
</xsl:template>

<xsl:template match="web-link">
	 <TT><A href="{.}"><xsl:apply-templates /></A></TT>
</xsl:template>

<xsl:template match="fig-ref">Fig. <xsl:value-of select="@refid" />
</xsl:template>

<xsl:template match="title-ref">
	<xsl:value-of select="@refid" /> 
</xsl:template>

<xsl:template match="fig">
  <IMG src="{@uri}" alt="{caption}" />
</xsl:template>

</xsl:stylesheet>
