<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- 	Generating binomial tree B_n, when n >= 0 is given as an input
	parameter -->
<!-- P. Kilpelinen, April 2002, February 2003 -->

<!-- BTW: B_20 consists of 2^20, or roughly 1.05 million nodes. 
The time it took to create and output it was
	- about 22 sec for XT
	- about 50 sec for Saxon
	- about 58 sec for Xalan
-->

<xsl:param name="k" select="0"/> <!-- parameter default value -->

<xsl:output method="xml" indent="yes" />

<!-- "Main method": -->
<xsl:template match="/">
  <xsl:call-template name ="createBinomTree">
    <xsl:with-param name ="n" select = "$k"/>
  </xsl:call-template> 
  <xsl:text> <!-- to add linefeed -->
</xsl:text>
</xsl:template>

<xsl:template name="createBinomTree"> 
  <xsl:param name="n" />
<!-- Creates binomial tree B_n as element <Bn> ... </Bn> -->
  <xsl:element name="B{$n}">
    <xsl:if test="$n > 0">
    <!-- gerarate subtrees B(n-1), B(n-2), ..., B0: -->
	<xsl:call-template name="createChildTrees">
	  <xsl:with-param name="n" select="$n - 1" />
	</xsl:call-template>
    </xsl:if>
  </xsl:element>
</xsl:template> <!-- name="createBinomTree" --> 

<xsl:template name="createChildTrees"> 
  <xsl:param name="n" />
<!-- Creates binomial trees B_n, ..., B_0 as elements 
	<Bn> ... </Bn> 
	<B(n-1)> ... </B(n-1)> 
        . . .
	<B0/>
--> HERE TREES B(<xsl:value-of select="$n" />), .., B(0)
</xsl:template> <!-- name="createChildTrees" --> 


</xsl:transform>
