<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Combining simple patient visit information of two XML files -->
<!-- P. Kilpelinen, February 2003 -->

<xsl:output method="xml" indent="yes" />

<!-- parameter default value: -->
<xsl:param name="updateFile" select="'new-visits.xml'"/> 

<xsl:variable name="updateDoc" select="document($updateFile)/*" />

<xsl:strip-space elements="patient" />

<xsl:template match="patients"> <!-- of the source --> 
  <patients>
    <xsl:variable name="oldPatients" select="." />

    <xsl:apply-templates select="patient"/>

    <xsl:for-each select="$updateDoc/patient">

      Copy current 'patient' of $updateDoc if not already in $oldDoc
      
    </xsl:for-each>
  </patients>
</xsl:template> 

<xsl:template match="patient"> 
  <patient pnum="{@pnum}">
    <!-- Copy old 'visit' elements: -->
    <xsl:for-each select="visit">
      <xsl:copy-of select="." />
    </xsl:for-each>
  
    Copy new 'visits' for the current patient from $updateDoc 
        (if there are any)
    
  </patient>
</xsl:template> 

</xsl:transform>
